from machine import Pin
from time import sleep

buttonPin = 2  # the number of the pushbutton pin
ledPin = 3    # the number of the LED pin

# Initialize the LED pin as an output
led = Pin(ledPin, Pin.OUT)
# Initialize the pushbutton pin as an input
button = Pin(buttonPin, Pin.IN)

while True:
    # read the state of the pushbutton value
    buttonState = button.value()
    
    # check if the pushbutton is pressed
    if buttonState == 1:
        # turn LED off
        led.value(1)
    else:
        # turn LED on
        led.value(0)
        
    sleep(0.1)  # small delay to stabilize the loop
